Bug 201516 - Delete doesn't work in Trash
Summary: Delete doesn't work in Trash
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-07 02:08 UTC by Xiaohong Wang
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 18:28:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 301388 None None None Never

Description Xiaohong Wang 2006-08-07 02:08:09 UTC
Description of problem:


Version-Release number of selected component (if applicable):
evolution-2.7.4-4

How reproducible:
always

Steps to Reproduce:
1. Launch Mail-Evolution and select "Trash"
3. Select a message in Trash and click "Delete" button on Toolbar

  
Actual results:
Nothing happens, it doesn't work


Expected results:


Additional info:
It works correctly in thunderbird

Comment 1 Matthew Barnes 2006-08-07 10:14:26 UTC
Thanks for the bug report.

In what kind of account are you seeing this behavior?
Local mailbox?  IMAP?  Exchange?

Comment 2 Xiaohong Wang 2006-09-19 09:21:17 UTC
For evolution-2.7.4-4 "Delete" doesn't work in Trash in all kinds of account you
list above 

And it seems that "Delete" button is grey and inactivated in latest
evolution-2.8.0-1.fc6.
But as a user, I think "Delete" button shouldn't be inactivated, it is useful
(just like in Thunderbird).


Comment 3 Matthew Barnes 2006-09-21 18:28:26 UTC
Deleting a message in the Trash folder would actually be an expunge operation,
but I don't think Evolution is capable of expunging individual messages.  It
seems to be all or nothing.  I'm not sure how Thurderbird does it.

So your suggestion may be a valid enhancement, but I'm going to close this bug
since the UI has been corrected.  Feel free to re-open it if you disagree.


Note You need to log in before you can comment on or make changes to this bug.